Bug 395911 - rsyslog ignores $AllowedSender if started before network
rsyslog ignores $AllowedSender if started before network
Product: Fedora
Classification: Fedora
Component: rsyslog (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-22 12:25 EST by Mace Moneta
Modified: 2007-12-20 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-11 06:13:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mace Moneta 2007-11-22 12:25:54 EST
Description of problem:

If rsyslog is started before the network comes up (for example, in a
NetworkManager environment), it will ignore $AllowedSender.  The rsyslog daemon
must be restarted after the network is active in order for $AllowedSender to be

Version-Release number of selected component (if applicable):


How reproducible:

Every time

Steps to Reproduce:
1. Switch from the network service to NetworkManager
2. Reboot.  Rsyslog starts before the network is active.
3. Try to send a message to rsyslog.  You will get:

rsyslogd:TCP message from disallowed sender <host> discarded
Actual results:

Message discarded

Expected results:

Message accepted and logged, once the network comes up.

Additional info: I've only tried this with TCP messages
Comment 1 Daniel Kopeček 2007-12-11 06:13:30 EST
Patch applied upstream.
Comment 2 Peter Vrabec 2007-12-17 08:41:12 EST

patch was backported and there will be new rsyslog release available in 
testing soon. see "-q"/"-Q" option in man page.
Comment 3 Fedora Update System 2007-12-20 15:16:04 EST
rsyslog-1.19.11-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rsyslog'
Comment 4 Mace Moneta 2007-12-20 17:07:04 EST
Confirming that the problem is resolved in this version.

Note You need to log in before you can comment on or make changes to this bug.